> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a user



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml patch /api/public/buyer/v1/users/{id}
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/users/{id}:
    patch:
      tags:
        - Users
      summary: Updates a user
      parameters:
        - name: id
          in: path
          example: 99999a99-b888-777c-666d-55555555555e
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  example: John
                last_name:
                  type: string
                  example: Smith
                email:
                  type: string
                  example: hello@chemcloud.com.au
      responses:
        '200':
          description: User updated
        '404':
          description: Not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````